{
  "affected": {
    "defaultBase": "master"
  },
  "npmScope": "redaction",
  "tasksRunnerOptions": {
    "default": {
      "runner": "nx-cloud",
      "options": {
        "cacheableOperations": ["build", "lint", "test", "e2e"],
        "parallel": 1,
        "accessToken": "MTQ2MmM5NDQtZjcyNS00YzUwLTkwYjEtMmZkNDg5MzAzMGE4fHJlYWQtd3JpdGU="
      }
    }
  },
  "cli": {
    "analytics": false,
    "packageManager": "yarn",
    "schematicCollections": ["@angular-eslint/schematics"]
  },
  "defaultProject": "red-ui",
  "generators": {
    "@nx/angular:application": {
      "linter": "eslint",
      "unitTestRunner": "jest"
    },
    "@nx/angular:library": {
      "linter": "eslint",
      "unitTestRunner": "jest"
    },
    "@nx/angular:component": {}
  },
  "$schema": "./node_modules/nx/schemas/nx-schema.json",
  "targetDefaults": {
    "build": {
      "dependsOn": ["^build"],
      "inputs": ["production", "^production"]
    },
    "lint": {
      "inputs": ["default", "{workspaceRoot}/.eslintrc.json", "{workspaceRoot}/.eslintignore"]
    },
    "test": {
      "inputs": ["default", "^production", "{workspaceRoot}/jest.preset.js"]
    }
  },
  "namedInputs": {
    "default": ["{projectRoot}/**/*", "sharedGlobals"],
    "sharedGlobals": [
      "{workspaceRoot}/workspace.json",
      "{workspaceRoot}/tsconfig.json",
      "{workspaceRoot}/tslint.json",
      "{workspaceRoot}/nx.json"
    ],
    "production": ["default", "!{projectRoot}/.eslintrc.json"]
  }
}
